Execute External Action
Execute an external action to get a value (for the UI)
The projectId of the project chosen for the request.
sourceId
{
"uri": "string",
"dataSource": "string",
"parameters": [
{
"name": "string",
"value": "string",
"useResultFromRequestId": 0
}
],
"fieldType": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"requestId": 0,
"contextParameters": {
"contextParameters": "string"
},
"externalSourceProviderType": "string"
}
uri
dataSource
parameters
fieldType
requestId
contextParameters
externalSourceProviderType
'Success' with the result from the external action
{
"data": {},
"error": {
"summaryMessage": "string",
"detailsMessage": "string"
},
"requestId": 0
}
data
error
requestId
'Bad Request' if request body is not in specified format
'Forbidden' due to insufficient access rights for form viewing or the form execution has not been created. To resolve this, ensure that the /renderer/model API is called first to load the necessary form containing the required external action.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/form-service/api/forms/renderer/external-value